
TYPO3.Flow - Feature # 36565

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Http
Created: 2012-04-25 Assigned To: Robert Lemke
Updated: 2012-04-26 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Subject: Provide method for retrieving current HTTP request
Description

Various application parts need a prominent place to get hold of the current HTTP request because it contains important environment
information which was previously provided by Utility\Environment.

The RequestHandler should do that.

Related issues:
related to TYPO3.Flow - Feature # 35243: HTTP 1.1 Support – Foundations Resolved 2012-03-26

Associated revisions
Revision 9dcd31d9 - 2012-04-25 22:46 - Robert Lemke

[FEATURE] Introduce HttpRequestHandlerInterface

This new interface identifies request handlers which are
supporting and working with HTTP requests as such and
allows other application parts to retrieve the current HTTP
request.

Change-Id: I8e94e1a94361e7ffd90ce25753cf383b3a81c7bc
Related: #35243
Resolves: #36565
Releases: 1.1

History
#1 - 2012-04-25 16:39 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10757

#2 - 2012-04-25 18:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10757

#3 - 2012-04-25 18:52 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10757

#4 - 2012-04-25 23:03 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10757

#5 - 2012-04-26 02:38 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9dcd31d94865a984ce7b17e56fd8109028cf86da.
